Package org.w3c.tidy

# Interface ParseProperty

public interface ParseProperty
Interface for configuration property parser.

Version:
  $Revision $ ($Author $)
Author:
  Fabrizio Giustina

## Method Summary

Modifier and Type
Method
Description
`String`
`getFriendlyName(String option, Object value, Configuration configuration)`
Returns the "friendly name" for the passed value.
`String`
`getOptionValues()`
Returns the valid values.
`String`
`getType()`
Returns the option type.
`Object`
`parse(String value, String option, Configuration configuration)`
Parse a configuration option.

## Method Details

### parse

Object parse(String value, String option, Configuration configuration)
Parse a configuration option.

Parameters:
  `value` - option value
  `option` - option name
  `configuration` - actual configuration instance
Returns:
  parsed configuration value

### getType

String getType()
Returns the option type.

Returns:
  option type

### getOptionValues

String getOptionValues()
Returns the valid values.

Returns:
  valid values (text)

### getFriendlyName

String getFriendlyName(String option, Object value, Configuration configuration)
Returns the "friendly name" for the passed value. Needed to print actual configuration setting.

Parameters:
  `option` - option name
  `value` - actual value
  `configuration` - actual configuration
Returns:
  "friendly" actual value